
Redmine - Defect #31371

"Stay logged in" checkbox in Sign in page is misaligned after r18056

2019-05-15 07:06 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The checkbox is misaligned after r18056.

[Before]

 before-r18056@2x.png 

[After]

 after-r18056@2x.png 

Related issues:

Blocks Redmine - Patch #31147: Add custom styles for all fields Closed

Associated revisions

Revision 18169 - 2019-05-16 10:03 - Go MAEDA

Fix that "Stay logged in" checkbox in Sign in page is misaligned (#31147, #31371).

Patch by Marius BALTEANU.

History

#1 - 2019-05-15 07:08 - Go MAEDA

- Blocks Patch #31147: Add custom styles for all fields added

#2 - 2019-05-16 09:02 - Marius BĂLTEANU

Here is the fix:

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 11b9263..7bcdfaa 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -103,7 +103,8 @@ html>body #content { min-height: 600px; }

 #login-form {margin:5em auto 2em auto; padding:20px; width:340px; border:1px solid #FDBF3B; background-color:

#FFEBC1; border-radius:4px; box-sizing: border-box;}

 #login-form label {display:block; margin-bottom:5px; font-weight:bold;}

 #login-form label[for=autologin] {font-weight:normal;}

-#login-form input {display:block; width:100%; height: 29px;}

+#login-form input {height: 29px;}

+#login-form input[type=text], #login-form input[type=password], #login-form input[type=submit] {display: bloc

k; width: 100%;}

 #login-form input[type=text], #login-form input[type=password] {margin-bottom: 15px;}

 #login-form a.lost_password {float:right; font-weight:normal;}

 #login-form input#openid_url {background:#fff url(../images/openid-bg.gif) no-repeat 4px 50%; padding-left:24

px !important;}

#3 - 2019-05-16 10:05 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for writing the fix.
https://www.redmine.org/projects/redmine/repository/svn/revisions/18056
